#
# Be sure to run `pod lib lint OffcnIMSDKiOS.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'OffcnIMSDKiOS'
  s.version          = '1.2.1.1'
  s.summary          = 'OffcnIMSDKiOS.'

  s.description      = <<-DESC
TODO: Add long description of the pod here.
                       DESC

  s.homepage         = 'https://gitlab.eoffcn.com/opensource/OffcnIMSDKiOS.git'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'zhangyunjie' => 'zhangyunjie@offcn.com' }
  s.source           = { :git => 'https://gitlab.eoffcn.com/opensource/OffcnIMSDKiOS.git', :tag => s.version.to_s }
  s.requires_arc = true

  s.ios.deployment_target = '9.0'
  
  s.source_files = 'OffcnIMSDKiOS/Classes/*.h'
  
  s.public_header_files = 'OffcnIMSDKiOS/Classes/*.h'
  
  #vendored_frameworks: 第三方framework
  s.vendored_frameworks = ['OffcnIMSDKiOS/Frameworks/oimcore.framework']
  #frameworks: 该pod依赖的系统framework
  s.frameworks = 'SystemConfiguration', 'CoreTelephony'
  
  s.vendored_libraries = ['OffcnIMSDKiOS/Libraries/libOffcnIMSDKiOS.a']

  #libraries: 该pod依赖的系统library
  s.libraries = 'c++','sqlite3','xml2','resolv'
  
  s.resource = 'OffcnIMSDKiOS/Resources/*.bundle'
  
  s.user_target_xcconfig = {'OTHER_LDFLAGS' => '-ObjC'}
  
  #dependency : 该pod依赖的
  s.dependency 'IQKeyboardManager', '5.0.8'

  s.dependency 'YYModel', '~> 1.0.4'
  s.dependency 'YYCache', '~> 1.0.4'
  s.dependency 'YYCategories', '~> 1.0.4'
  s.dependency 'YYImage', '~> 1.0.4'
  s.dependency 'YYWebImage', '~> 1.0.5'
  s.dependency 'YYText', '~> 1.0.7'
  
  #s.dependency 'OffcnLiveSDKiOS', '2.7.0.7'
end

